import {
	defineStore
} from 'pinia';
import storage from "@/utils/storage.js"

export const useColortore = defineStore('color', {
	state: () => {
		return {
			mainRed: '#EC0000'
		};
	},
	// 也可以这样定义
	// state: () => ({ count: 0 })
	// actions: {
	// 	setlang(lang) {
	// 		this.lang = lang
	// 		storage.setCache('lang', lang)
	// 	},
	// },
	// 开始数据持久化
	persist: true,
})